| Kea 3.0.2-git

isc::dhcp::OptionDataTypeTraits< bool > Struct Reference

bool type is supported More...

`#include <option_data_types.h>`

## Static Public Attributes
static const bool | integer_type = false
static const int | len = sizeof(uint8_t)
static const OptionDataType | type = OPT_BOOLEAN_TYPE
static const bool | valid = true

## Detailed Description

bool type is supported

Definition at line 113 of file option_data_types.h.

## Member Data Documentation

## ◆ integer_type

const bool isc::dhcp::OptionDataTypeTraits< bool >::integer_type = false
| static

Definition at line 116 of file option_data_types.h.

## ◆ len

const int isc::dhcp::OptionDataTypeTraits< bool >::len = sizeof(uint8_t)
| static

Definition at line 115 of file option_data_types.h.

## ◆ type

const OptionDataType isc::dhcp::OptionDataTypeTraits< bool >::type = OPT_BOOLEAN_TYPE
| static

Definition at line 117 of file option_data_types.h.

## ◆ valid

const bool isc::dhcp::OptionDataTypeTraits< bool >::valid = true
| static

Definition at line 114 of file option_data_types.h.

The documentation for this struct was generated from the following file:

- option_data_types.h